server {

# this is a comment 

	server_name our_server;

	listen 0.0.0.0:4040;

#	client_body_limit asdfa;
#	client_body_limit 400;

	index index.html; # this is another comment

	root ./www/;

	error_page 404 ./www/error_pages/error_404.html;

	location /list {
		autoindex on;
	}

	location /redirect {
		redirect 307 https://fr.wikipedia.org/wiki/Ketchup;
#		redirect 307 https://www.youtube.com/watch?v=rG6b8gjMEkw;
	}

	location /test {
		index index1.html subdex.html;
	}

	location /test/index1.html {
		index index1.html subdex.html;
	}

	location /hilarious_404/ {
		redirect 301 https://berniesanders.com/404/;
	}

	location /stylesheet/ {
#		root ./www/../;
		root ./;
	}

	location /test/something.html {
	#	allow_methods DELETE;
	}

	location /test/test_deeper/ {
#		allow_methods
		autoindex on;
	}

	location /test/test_deeper/super_deep {
		autoindex on;
	}

#	location /test/test_deeper/something.html {
#		allow_methods DELETE;
#	}


}
